
CoCoALib - Bug #326

C++ nasty surprises

27 Feb 2013 17:33 - John Abbott

Status: In Progress Start date: 27 Feb 2013

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 6.00 hours

Description

This "issue" is just to collect links to issues where we got burned by strange/unexpected C++ behaviour.

If you get burned by some "nasty surprise" in C++, report it and make it a related issue to this one.

Related issues:

Related to CoCoALib - Bug #327: C++ integer shift operators Closed 27 Feb 2013

History

#1 - 15 Mar 2013 17:40 - John Abbott

2013-03-14 Got burned in OrdvArith.C (fn CmpWDegPartial) by a silent conversion from unsigned long to signed int -- a "negative" value got

truncated and became 0.  No obvious way to make the compiler warn about this :-(

#2 - 01 Apr 2014 17:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#3 - 07 Apr 2014 18:13 - John Abbott

- Category set to Portability

- Status changed from New to In Progress

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-1.0

- % Done changed from 0 to 10
